Bug 1001917 - After installed deepin music the memory it used rise rise and rise till used up of the machine's in fedora 19 KDE
After installed deepin music the memory it used rise rise and rise till used ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 02:31 EDT by Chen Chen
Modified: 2015-03-03 19:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-03 19:16:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chen Chen 2013-08-28 02:31:42 EDT
Description of problem:
After installed deepin music the memory it used rise rise and rise till used up of the machine's in fedora 19 KDE

Version-Release number of selected component (if applicable):
2.24

How reproducible:


Steps to Reproduce:
1.sudo yum install freetype-devel fontconfig-devel numpy libglade atk-devel pango-devel cairo-gobject-devel gdk-pixbuf2-devel libXi-devel at-spi2-atk-devel python3-gobject pygobject3-devel pygobject2-devel libpng-devel libxml libxml2-devel xorg-x11-fonts* gcc glibc-headers gcc-c++ at-spi-devel at-spi2-core-devel pango libxslt-devel bison flex orc-devel gstreamer-plugins-base-devel.x86_64 gstreamer-devel sonata glibc-devel cairo-devel glib-devel libsoup webkitgtk-devel debconf python gtk2 python-pillow python-xlib python3-scipy python-setuptools python3-cairo-devel numpy-f2py.x86_64 python-devel glib2-devel python-CDDB python-pycurl python-pyquery python-chardet python-mutagen python-xlib gstreamer-plugins-good python-mutagen gstreamer-python scipy python-keybinder pycairo-devel gcc python-cssselect mate-system-monitor

sudo rpm -ivh http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-stable.noarch.rpm

sudo yum -y install gstreamer-ffmpeg gstreamer-plugins-bad gstreamer-plugins-ugly

2.install all the depends in Deepin music memory leak.tar.gz 
address:http://pan.baidu.com/share/link?shareid=1762253195&uk=353364615
BTW:
glib->gtk+->libglade->pygtk->gst-plugins-bad-multiverse0.10_0.10.21.orig
other pacages don't have subsequence just do "sudo python setup.py install" to install it

3.goto deepin-music-player folder to do ./dmusic and use it to play a music not stop.

4.open mate-system-monitor and see the memory called python used

Actual results:
rising raising rising won't stop

Expected results:
it can stop in final not used up ! best use is around 97.2

Additional info:
Comment 1 Chen Chen 2013-08-28 02:34:13 EDT
pygtk2-2.24.0-7.fc19.src.rpm no need to install i add it by mistake
Comment 2 Chen Chen 2013-08-28 07:39:43 EDT
it's true cause of pygtk bug ,  i try to patched it and creat rpm pacage , after installed the patched pygtk2.rpm , it solved . here is the patch:


Index: pygtk-2.24.0/pangocairo.override
===================================================================
--- pygtk-2.24.0.orig/pangocairo.override	2012-04-14 01:40:59.568703232 +0800
+++ pygtk-2.24.0/pangocairo.override	2012-04-14 01:41:05.792703324 +0800
@@ -119,10 +119,15 @@
 _wrap_pango_cairo_create_layout(PyGObject *self)
 {
     PangoLayout *ret;
+    PyObject *py_ret;
 
     ret = pango_cairo_create_layout(PycairoContext_GET(self));
     /* pygobject_new handles NULL checking */
-    return pygobject_new((GObject *)ret);
+    py_ret = pygobject_new((GObject *) ret);
+    if (ret) {
+	g_object_unref(ret);
+    }
+    return py_ret;
 }
 
 static PyObject *
Comment 3 Chen Chen 2013-08-28 07:47:14 EDT
add this patch (named 10_fix_create_layout_unref.patch) to the pygtk2.spec:

Patch1: 10_fix_create_layout_unref.patch

%patch1 -p1


and then build rpm pacage from pygtk2-2.24.0-7.fc19.src.rpm
Comment 4 Fedora Admin XMLRPC Client 2014-12-06 10:43:30 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2014-12-06 12:16:45 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Jaroslav Reznik 2015-03-03 10:01:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 7 Wolfgang Ulbrich 2015-03-03 19:16:33 EST
f19 is EOL

Note You need to log in before you can comment on or make changes to this bug.